﻿/*
 * 제작자 : 손대관(pinerest@naver.com)
 * 제작일 : 2008.2.17
 * 프로그램명 : 다수의 파일 업로드 프로그램
 * 프로그램 설명 :
 *      - 자바스크립트로 파일 업로드 HTML컨트롤의 수를 지정할 수 있고,
 *        지정한 모든 파일을 업로드 할 수 있다.
 */

using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO; //파일명을 다룰 수 있는 각종 객체을 제공하는 네임스페이스


public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        HttpPostedFile htpFile;
        string strFileLocation;
        //Request.Files는 클라이언트에서 전송된 파일객체
        for (int i = 0; i < Request.Files.Count; i++)
        {
            htpFile = Request.Files[i];
            try
            {
                //파일 저장(지정한 경로는 물리적 경로이며, 설정한 경로는 반드시 존재해야한다.)
                strFileLocation = Server.MapPath("~/UserFiles") + "\\" + Path.GetFileName(htpFile.FileName);
                htpFile.SaveAs(strFileLocation);
                //메시지 출력
                Page.ClientScript.RegisterStartupScript(Page.GetType(), "msg" + i, "document.all('divMsg').innerHTML += '\"" + htpFile.FileNamen + "\"을 \"" + strFileLocation + "\"에 저장하였습니다.<br />'; ", true);
            }//close try
            catch (Exception ex)
            {
                Page.ClientScript.RegisterStartupScript(Page.GetType(), "alert" + i, "document.all('divMsg').innerHTML += '\"" + htpFile.FileName + "\"의 저장에 실패했습니다.<br />'; ", true);
            }//close catch
        }//close for
    }//close page_load()
}//close _Default

